Bug 463300 - [LTC 6.0 FEAT] 201330:eCryptfs Enhancements - User space: ecryptfs-utils
[LTC 6.0 FEAT] 201330:eCryptfs Enhancements - User space: ecryptfs-utils
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Eric Sandeen
Ben Levenson
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-22 16:50 EDT by IBM Bug Proxy
Modified: 2010-11-10 15:13 EST (History)
9 users (show)

See Also:
Fixed In Version: ecryptfs-utils-81-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:13:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 16:50:30 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:27 EDT
1. Feature Overview:
Feature Id:	[201330]
a. Name of Feature:	eCryptfs Enhancements - User space
b. Feature Description
Please update ecryptfs-utils to the latest level.

2. Feature Details:
Sponsor:	LTC Security
Architectures:
x86
x86_64
ppc64
s390 native
s390 compat
s390x

Arch Specificity: Purely Common Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Security
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	n/a

3. Business Case
Many upstream enhancements including bug fixes and usability improvements.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mounir Bsaibes, bsaibes@us.ibm.com, 512-838-1301

Technical contact(s):
George Wilson, gcwilson@us.ibm.com
Michael Halcrow, mahalcro@us.ibm.com

IBM Manager:
Bryan Jacobson, bjacobson@us.ibm.com
Comment 1 Bill Nottingham 2008-10-01 17:25:04 EDT
For purposes of this feature, what is the 'latest level' required?
Comment 2 IBM Bug Proxy 2008-10-08 16:50:29 EDT
The current release of ecryptfs-utils is in Fedora devel and is at version 59-1.
Comment 3 Bill Nottingham 2008-10-09 10:39:13 EDT
OK; since it's in Fedora now, it should not be a problem for RHEL 6.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 4 IBM Bug Proxy 2008-12-08 11:10:58 EST
Reassigning feature verify for future release of RHEL to Tyler Hicks.
Comment 5 Eric Sandeen 2009-09-17 11:37:56 EDT
Ok this bug confuses me.  We already ship ecryptfs-utils in rhel5 and F12, plans are to have it in RHEL6 I'm sure.

mhlavink owns ecryptfs-utils; this bug is filed against the "distribution" componenent.

I think it should be moved to ecryptfs-utils unless there is some magic to having it under "distribution?"  In any case I don't think it's my bug, more likely mhlavink's.  :)
Comment 6 Michal Hlavinka 2009-09-18 01:30:51 EDT
latest version of ecryptfs-utils is already in rawhide, which means the latest version of ecryptf-utils is in rhel6
Comment 7 releng-rhel@redhat.com 2009-10-29 09:43:47 EDT
Fixed in 'ecryptfs-utils-81-1.el6', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 8 IBM Bug Proxy 2010-05-27 11:40:43 EDT
------- Comment From tyhicks@linux.vnet.ibm.com 2010-05-27 11:35 EDT-------
Everything looks as expected.  File name obfuscation and key management (ecryptfs-manager) is there.  The TPM and OpenSSL key modules are included.  Network file system support isn't available yet but isn't really plausible without upstream work to move eCryptfs away from the stacked file system design.
Comment 9 Alexander Todorov 2010-08-20 13:46:26 EDT
encryptfs-utils inluded in snap #12. See also comment #8. Moving to VERIFIED.

# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100818.0/6

# find -name "ecryptfs-utils*"
./WebServer/x86_64/os/Packages/ecryptfs-utils-82-6.el6.x86_64.rpm
./WebServer/x86_64/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./WebServer/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.x86_64.rpm
./WebServer/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./WebServer/source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
./WebServer/optional/x86_64/os/Packages/ecryptfs-utils-python-82-6.el6.x86_64.rpm
./WebServer/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./WebServer/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.x86_64.rpm
./Server/i386/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Server/i386/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./Server/source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
./Server/optional/i386/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Server/optional/i386/os/Packages/ecryptfs-utils-python-82-6.el6.i686.rpm
./Server/optional/s390x/os/Packages/ecryptfs-utils-devel-82-6.el6.s390.rpm
./Server/optional/s390x/os/Packages/ecryptfs-utils-devel-82-6.el6.s390x.rpm
./Server/optional/s390x/os/Packages/ecryptfs-utils-python-82-6.el6.s390x.rpm
./Server/optional/x86_64/os/Packages/ecryptfs-utils-python-82-6.el6.x86_64.rpm
./Server/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Server/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.x86_64.rpm
./Server/optional/ppc64/os/Packages/ecryptfs-utils-python-82-6.el6.ppc64.rpm
./Server/optional/ppc64/os/Packages/ecryptfs-utils-devel-82-6.el6.ppc.rpm
./Server/optional/ppc64/os/Packages/ecryptfs-utils-devel-82-6.el6.ppc64.rpm
./Server/s390x/os/Packages/ecryptfs-utils-82-6.el6.s390x.rpm
./Server/s390x/os/Packages/ecryptfs-utils-82-6.el6.s390.rpm
./Server/s390x/debug/ecryptfs-utils-debuginfo-82-6.el6.s390x.rpm
./Server/s390x/debug/ecryptfs-utils-debuginfo-82-6.el6.s390.rpm
./Server/ppc64/os/Packages/ecryptfs-utils-82-6.el6.ppc64.rpm
./Server/ppc64/os/Packages/ecryptfs-utils-82-6.el6.ppc.rpm
./Server/ppc64/debug/ecryptfs-utils-debuginfo-82-6.el6.ppc64.rpm
./Server/ppc64/debug/ecryptfs-utils-debuginfo-82-6.el6.ppc.rpm
./Server/x86_64/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Server/x86_64/os/Packages/ecryptfs-utils-82-6.el6.x86_64.rpm
./Server/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.x86_64.rpm
./Server/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./Client/i386/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Client/i386/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./Client/source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
./Client/optional/i386/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Client/optional/i386/os/Packages/ecryptfs-utils-python-82-6.el6.i686.rpm
./Client/optional/x86_64/os/Packages/ecryptfs-utils-python-82-6.el6.x86_64.rpm
./Client/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Client/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.x86_64.rpm
./Client/x86_64/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Client/x86_64/os/Packages/ecryptfs-utils-82-6.el6.x86_64.rpm
./Client/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.x86_64.rpm
./Client/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./ComputeNode/x86_64/os/Packages/ecryptfs-utils-82-6.el6.x86_64.rpm
./ComputeNode/x86_64/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./ComputeNode/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./ComputeNode/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.x86_64.rpm
./ComputeNode/source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
./ComputeNode/optional/x86_64/os/Packages/ecryptfs-utils-python-82-6.el6.x86_64.rpm
./ComputeNode/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./ComputeNode/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.x86_64.rpm
./Workstation/i386/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Workstation/i386/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./Workstation/source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
./Workstation/optional/i386/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Workstation/optional/i386/os/Packages/ecryptfs-utils-python-82-6.el6.i686.rpm
./Workstation/optional/x86_64/os/Packages/ecryptfs-utils-python-82-6.el6.x86_64.rpm
./Workstation/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.i686.rpm
./Workstation/optional/x86_64/os/Packages/ecryptfs-utils-devel-82-6.el6.x86_64.rpm
./Workstation/x86_64/os/Packages/ecryptfs-utils-82-6.el6.i686.rpm
./Workstation/x86_64/os/Packages/ecryptfs-utils-82-6.el6.x86_64.rpm
./Workstation/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.x86_64.rpm
./Workstation/x86_64/debug/ecryptfs-utils-debuginfo-82-6.el6.i686.rpm
./source/SRPMS/ecryptfs-utils-82-6.el6.src.rpm
Comment 10 releng-rhel@redhat.com 2010-11-10 15:13:09 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.